import React from 'react';
import { IHunk, IChange } from 'gitdiff-parser';
import { ViewStyle } from 'react-native';
import { Widgets, Events } from '../../types';
export interface IHunkProps {
    hunk: IHunk;
    style?: ViewStyle;
    lineStyle?: ViewStyle;
    gutterStyle?: ViewStyle;
    contentStyle?: ViewStyle;
    gutterEvents?: Events;
    codeEvents?: Events;
    widgets?: Widgets;
    onChangePress?: (change: IChange) => any;
}
declare const Hunk: React.FunctionComponent<IHunkProps>;
export default Hunk;
