"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var context_1 = require("../../context");
var unified_hunk_1 = __importDefault(require("./unified_hunk"));
var split_hunk_1 = __importDefault(require("./split_hunk"));
var Hunk = react_1.default.memo(function (_a) {
    var hunk = _a.hunk, style = _a.style, props = __rest(_a, ["hunk", "style"]);
    var _b = context_1.useDiffSettings(), gutterType = _b.gutterType, context = __rest(_b, ["gutterType"]);
    var hideGutter = gutterType === 'none';
    var RenderingHunk = context.viewType === 'unified' ? unified_hunk_1.default : split_hunk_1.default;
    return <RenderingHunk {...context} {...props} hunk={hunk} hideGutter={hideGutter} style={style}/>;
});
Hunk.defaultProps = {
    gutterEvents: {},
    codeEvents: {},
};
exports.default = Hunk;
//# sourceMappingURL=index.js.map