import { IHunk } from 'gitdiff-parser';
import { INode } from './back_to_tree';
export interface ITokenizeOptions {
    highlight?: boolean;
    refractor?: any;
    oldSource?: any;
    language?: any;
    enhancers?: any[];
}
export declare const tokenize: (hunks: IHunk[], options: ITokenizeOptions) => {
    old: INode[];
    new: INode[];
};
export { default as pickRanges } from './pick_ranges';
export { default as markEdits } from './mark_edits';
export { default as markWord } from './mark_word';
