import { IChange, IHunk } from 'gitdiff-parser';
import { Side } from '../../types';
import { StartProperty, LinesProperty } from './util';
declare type ComputeLine = (change: IChange) => number;
export declare const computeLineNumberFactory: (side: Side) => ComputeLine;
declare type IsInHunk = (hunk: IHunk, lineNumber: number) => boolean;
export declare const isInHunkFactory: (startProperty: StartProperty, linesProperty: LinesProperty) => IsInHunk;
declare type IsBetweenHunks = (previousHunk: IHunk, nextHunk: IHunk, lineNumber: number) => boolean;
export declare const isBetweenHunksFactory: (startProperty: StartProperty, linesProperty: LinesProperty) => IsBetweenHunks;
declare type FindChangeByLineNumber = (hunks: IHunk[], lineNumber: number) => IChange;
export declare const findChangeByLineNumberFactory: (side: Side) => FindChangeByLineNumber;
declare type GetCorrespondingLineNumber = (hunks: IHunk[], lineNumber: number) => number;
export declare const getCorrespondingLineNumberFactory: (baseSide: Side) => GetCorrespondingLineNumber;
export {};
