import { Side } from '../../types';
export declare type StartProperty = 'oldStart' | 'newStart';
export declare type LinesProperty = 'oldLines' | 'newLines';
export declare const first: <P>(array: P[]) => P;
export declare const last: <P>(array: P[]) => P;
export declare const sideToProperty: (side: Side) => [StartProperty, LinesProperty];
export declare const findLastIndex: <P>(arr: P[], checker: (arg: P) => boolean, fromIndex?: number) => number;
export declare const flatten: <P>(list: P[]) => P[];
