"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.first = function (array) { return array[0]; };
exports.last = function (array) { return array[array.length - 1]; };
exports.sideToProperty = function (side) { return [
    (side + 'Start'),
    (side + 'Lines'),
]; };
exports.findLastIndex = function (arr, checker, fromIndex) {
    if (fromIndex === void 0) { fromIndex = arr.length - 1; }
    var currIndex = -1;
    for (var i = fromIndex; i > -1; i--) {
        if (checker(arr[i]) && i > currIndex) {
            currIndex = i;
        }
    }
    return currIndex;
};
exports.flatten = function (list) { return list.reduce(function (a, b) { return a.concat(Array.isArray(b) ? exports.flatten(b) : b); }, []); };
//# sourceMappingURL=util.js.map