"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var context_1 = require("../../context");
var split_decoration_1 = __importDefault(require("./split_decoration"));
var unified_decoration_1 = __importDefault(require("./unified_decoration"));
exports.Decoration = react_1.default.memo(function (props) {
    var _a = context_1.useDiffSettings(), viewType = _a.viewType, gutterType = _a.gutterType, monotonous = _a.monotonous;
    var RenderingDecoration = viewType === 'split' ? split_decoration_1.default : unified_decoration_1.default;
    return <RenderingDecoration hideGutter={gutterType === 'none'} monotonous={monotonous} {...props}/>;
});
exports.default = exports.Decoration;
//# sourceMappingURL=index.js.map