"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var react_native_1 = require("react-native");
var SplitWidget = react_1.default.memo(function (_a) {
    var monotonous = _a.monotonous, oldElement = _a.oldElement, newElement = _a.newElement;
    if (monotonous) {
        return <react_native_1.View>{oldElement || newElement}</react_native_1.View>;
    }
    if (oldElement === newElement) {
        return <react_native_1.View>{oldElement}</react_native_1.View>;
    }
    return (<react_native_1.View>
        <react_native_1.View>{oldElement}</react_native_1.View>
        <react_native_1.View>{newElement}</react_native_1.View>
      </react_native_1.View>);
});
exports.default = SplitWidget;
//# sourceMappingURL=split_widget.js.map