import React from 'react';
import { ViewStyle } from 'react-native';
import { IChange } from 'gitdiff-parser';
import { Events, IGutterOptions } from '../../../types';
import { INode } from '../../../tokenize/back_to_tree';
interface IUnifiedChangeProps {
    change: IChange;
    selected: boolean;
    tokens: INode[];
    style?: ViewStyle;
    gutterStyle?: ViewStyle;
    codeStyle?: ViewStyle;
    gutterEvents?: Events;
    codeEvents?: Events;
    hideGutter: boolean;
    renderGutter: (options: IGutterOptions) => JSX.Element;
    renderToken?: (token: INode) => JSX.Element;
    onChangePress?: (change: IChange) => any;
}
declare const UnifiedChange: React.FunctionComponent<IUnifiedChangeProps>;
export default UnifiedChange;
