/// <reference types="gitdiff-parser" />
export * from './insert_hunk';
export * from './expand_collapsed_block_by';
export * from './get_change_key';
export declare const computeOldLineNumber: (change: import("gitdiff-parser").IChange) => number;
export declare const computeNewLineNumber: (change: import("gitdiff-parser").IChange) => number;
export declare const findChangeByOldLineNumber: (hunks: import("gitdiff-parser").IHunk[], lineNumber: number) => import("gitdiff-parser").IChange;
export declare const findChangeByNewLineNumber: (hunks: import("gitdiff-parser").IHunk[], lineNumber: number) => import("gitdiff-parser").IChange;
export declare const getCorrespondingOldLineNumber: (hunks: import("gitdiff-parser").IHunk[], lineNumber: number) => number;
export declare const getCorrespondingNewLineNumber: (hunks: import("gitdiff-parser").IHunk[], lineNumber: number) => number;
